# Get gateway settings

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/gateways/{gateway_id}/settings`

Get the settings for a specific gateway

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `gateway_id` | path | string | yes | The gateway's ID (`gw_...`), or its `code`. |

## Responses

### 200: Gateway settings

```json
{
  "settings": {}
}
```

### 400: Bad request - invalid parameters

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Unauthorized - invalid credentials

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Gateway not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/gateways/GATEWAY_ID/settings \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getgatewaysettings/